package prototype.objects.constraints;

import prototype.interfaces.CopyException;
import prototype.objects.IDbObject;

/**
 * Interface for the integrity constraints.
 * 
 * 
 *
 */
public interface IConstraint extends IDbObject {

	/**
	 * Genereate the corresponding SQL code.
	 * 
	 * @return The Sql code.
	 */
	public String toSql();
	
	
	
	public void setTablePrefix(String table);
	
	
	/* (non-Javadoc)
	 * @see guarnieri.marco.ethz.objects.IDbObject#copy()
	 */
	@Override
	public IConstraint copy() throws CopyException;
}
