package prototype.privileges;

import prototype.interfaces.CopyException;
import prototype.interfaces.ICopiable;

/**
 * Enumeration for the privileges.
 * 
 * 
 *
 */
public interface IPrivilege extends ICopiable{

	/**
	 * Return the privilege in SQL
	 * 
	 * @return The SQL privilege.
	 */
	public String toSql();
	
	
	/* (non-Javadoc)
	 * @see guarnieri.marco.ethz.interfaces.ICopiable#copy()
	 */
	public IPrivilege copy() throws CopyException;
}
