package prototype.privileges;

/**
 * ENUM for all privileges.
 * 
 * 
 *
 */
public enum PRIVILEGE {
	SELECT("SELECT"), INSERT("INSERT"), DELETE("DELETE"), CREATE_TRIGGER("CREATE TRIGGER"), CREATE_VIEW("CREATE VIEW");

	/**
	 * The privilege's name.
	 */
	private String name;

	PRIVILEGE(String s) {
		this.name = s;
	}

	@Override
	public String toString() {
		return name;
	}
}
