package prototype.queries.domain.relational.calculus.syntax;

import prototype.queries.MalformedExpressionException;
import prototype.queries.domain.relational.calculus.visitors.IVisitable;

public interface IOperand extends IVisitable {
	/**
	 * Return the copy of the operand.
	 * 
	 * @return The copy of the operand.
	 * @throws MalformedExpressionException
	 */
	public IOperand copy() throws MalformedExpressionException;
}
