package prototype.results.actionResults;

import java.util.Set;

import prototype.tuple.ITuple;

/**
 * Interface for action's results returning set of tuples.
 * 
 * 
 *
 */
public interface INonBooleanActionResult extends ISingleActionResult {
	
	/**
	 * Get the action's result.
	 * 
	 * @return The action's result.
	 */
	public Set<ITuple> getResult();

}
