package prototype.statements.interfaces.add;

import prototype.interfaces.CopyException;
import prototype.statements.interfaces.IStatement;
import prototype.users.IUser;

/**
 * Interface for CREATE USER commands.
 * 
 * 
 *
 */
public interface IAddUser extends IStatement {

	/**
	 * Get the user.
	 * 
	 * @return The user.
	 */
	public IUser getUser();

	/*
	 * (non-Javadoc)
	 * 
	 * @see guarnieri.marco.ethz.statements.interfaces.IStatement#copy()
	 */
	public IAddUser copy() throws CopyException;
}
