package prototype.statements.interfaces.create;

import prototype.interfaces.CopyException;
import prototype.objects.ITable;

/**
 * Interface for CREATE TABLE statements.
 * 
 *
 */
public interface ICreateTableStatement extends ICreateStatement {
	

	/* (non-Javadoc)
	 * @see guarnieri.marco.ethz.statements.interfaces.create.ICreateStatement#getObject()
	 */
	public ITable getObject();
	
	
	
	/* (non-Javadoc)
	 * @see guarnieri.marco.ethz.statements.interfaces.create.ICreateStatement#copy()
	 */
	public ICreateTableStatement copy()  throws CopyException;

}
