package prototype.statements.interfaces.create;

import prototype.interfaces.CopyException;
import prototype.objects.ITrigger;

/**
 * Interface for CREATE TABLE statements.
 * 
 *
 */
public interface ICreateTriggerStatement extends ICreateStatement {
	

	/* (non-Javadoc)
	 * @see guarnieri.marco.ethz.statements.interfaces.create.ICreateStatement#getObject()
	 */
	public ITrigger getObject();
	
	
	
	/* (non-Javadoc)
	 * @see guarnieri.marco.ethz.statements.interfaces.create.ICreateStatement#copy()
	 */
	public ICreateTriggerStatement copy()  throws CopyException;

}
