package prototype.interfaces;


/**
 * Interface for objects that can be copied.
 * 
 * 
 *
 */
public interface ICopiable {

	/**
	 * Return a copy of the object.
	 * 
	 * @return The copy.
	 * @throws CopyException 
	 */
	public ICopiable copy() throws CopyException;

}
