package prototype.queries;



/**
 * Exception thrown in case someone is trying to create a malformed query.
 * 
 * 
 *
 */
public class MalformedQueryException extends Exception {


	/**
	 * Constructor.
	 * 
	 * @param msg
	 *            - Exception message.
	 */
	public MalformedQueryException(String msg) {
		super(msg);
	}

	public MalformedQueryException(Exception e) {
		super(e);
	}

}
