package prototype.queries.domain.relational.calculus.syntax;

import prototype.queries.MalformedExpressionException;
import prototype.queries.domain.relational.calculus.visitors.IVisitable;

/**
 * Interface representing a DRC expression.
 * 
 * 
 *
 */
public interface IExpression extends IVisitable {

	/**
	 * Return the copy of the expression.
	 * 
	 * @return The copy of the expression.
	 * @throws MalformedExpressionException 
	 */
	public IExpression copy() throws MalformedExpressionException;
}
