package prototype.queries.domain.relational.calculus.visitors;

/**
 * Interface for visitable objects in the relational calculus.
 * 
 * 
 *
 */
public interface IVisitable {

	/**
	 * Accept the visitor.
	 * 
	 * @param visitor
	 *            - The visitor.
	 */
	public void accept(IVisitor visitor);
}
