package prototype.results.actionResults;

/**
 * Result for statements/objects returning just a boolean value.
 * 
 * 
 *
 */
public interface IBooleanActionResult extends ISingleActionResult {

	/**
	 * Get the boolean result.
	 * 
	 * @return The boolean result.
	 */
	public boolean getResult();
}
