package prototype.results.implementation;

import prototype.results.explanation.IIntegrityExplanation;
import prototype.results.explanation.ISecurityExplanation;

/**
 * Class representing the explanations.
 * 
 * 
 *
 */
public class Explanation implements IIntegrityExplanation, ISecurityExplanation {

	/**
	 * The explanation.
	 */
	private String explanation;

	/**
	 * Constructor.
	 * 
	 * @param expl
	 *            - The explanation.
	 */
	public Explanation(String expl) {
		this.explanation = expl;
	}

	@Override
	public String toString() {
		return explanation;
	}

}
