package prototype.statements;


/**
 * Exception thrown in case someone is trying to create a malformed statement.
 * 
 * 
 *
 */
public class MalformedStatementException extends Exception {


	/**
	 * Constructor.
	 * 
	 * @param msg
	 *            - Exception message.
	 */
	public MalformedStatementException(String msg) {
		super(msg);
	}

	public MalformedStatementException(Exception e) {
		super(e);
	}

}
