package prototype.statements.interfaces.select;

import prototype.interfaces.CopyException;
import prototype.queries.domain.relational.calculus.IQuery;
import prototype.statements.interfaces.IStatement;

/**
 * Interface for SELECT statements.
 * 
 * 
 *
 */
public interface ISelectStatement  extends IStatement{

	/**
	 * Get the query.
	 * 
	 * @return the query.
	 */
	public IQuery getQuery();
	
	public ISelectStatement copy()  throws CopyException;
}
