package prototype.users;

import prototype.interfaces.CopyException;
import prototype.interfaces.ICopiable;

/**
 * Interface representing system's users.
 * 
 * 
 *
 */
public interface IUser extends ICopiable {

	/**
	 * Get the username.
	 * 
	 * @return the username
	 */
	public String getUsername();

	/* (non-Javadoc)
	 * @see guarnieri.marco.ethz.interfaces.ICopiable#copy()
	 */
	public IUser copy() throws CopyException;
}
