// Generated from Drcql.g4 by ANTLR 4.4
package prototype.grammar;
import org.antlr.v4.runtime.misc.NotNull;
import org.antlr.v4.runtime.tree.ParseTreeVisitor;

/**
 * This interface defines a complete generic visitor for a parse tree produced
 * by {@link DrcqlParser}.
 *
 * @param <T> The return type of the visit operation. Use {@link Void} for
 * operations with no return type.
 */
public interface DrcqlVisitor<T> extends ParseTreeVisitor<T> {
	/**
	 * Visit a parse tree produced by {@link DrcqlParser#expression}.
	 * @param ctx the parse tree
	 * @return the visitor result
	 */
	T visitExpression(@NotNull DrcqlParser.ExpressionContext ctx);
	/**
	 * Visit a parse tree produced by {@link DrcqlParser#booleanSelect}.
	 * @param ctx the parse tree
	 * @return the visitor result
	 */
	T visitBooleanSelect(@NotNull DrcqlParser.BooleanSelectContext ctx);
	/**
	 * Visit a parse tree produced by {@link DrcqlParser#grant}.
	 * @param ctx the parse tree
	 * @return the visitor result
	 */
	T visitGrant(@NotNull DrcqlParser.GrantContext ctx);
	/**
	 * Visit a parse tree produced by {@link DrcqlParser#tuple}.
	 * @param ctx the parse tree
	 * @return the visitor result
	 */
	T visitTuple(@NotNull DrcqlParser.TupleContext ctx);
	/**
	 * Visit a parse tree produced by {@link DrcqlParser#predicate}.
	 * @param ctx the parse tree
	 * @return the visitor result
	 */
	T visitPredicate(@NotNull DrcqlParser.PredicateContext ctx);
	/**
	 * Visit a parse tree produced by {@link DrcqlParser#mixList}.
	 * @param ctx the parse tree
	 * @return the visitor result
	 */
	T visitMixList(@NotNull DrcqlParser.MixListContext ctx);
	/**
	 * Visit a parse tree produced by {@link DrcqlParser#constraint}.
	 * @param ctx the parse tree
	 * @return the visitor result
	 */
	T visitConstraint(@NotNull DrcqlParser.ConstraintContext ctx);
	/**
	 * Visit a parse tree produced by {@link DrcqlParser#constraintList}.
	 * @param ctx the parse tree
	 * @return the visitor result
	 */
	T visitConstraintList(@NotNull DrcqlParser.ConstraintListContext ctx);
	/**
	 * Visit a parse tree produced by {@link DrcqlParser#unaryOpExpression}.
	 * @param ctx the parse tree
	 * @return the visitor result
	 */
	T visitUnaryOpExpression(@NotNull DrcqlParser.UnaryOpExpressionContext ctx);
	/**
	 * Visit a parse tree produced by {@link DrcqlParser#revoke}.
	 * @param ctx the parse tree
	 * @return the visitor result
	 */
	T visitRevoke(@NotNull DrcqlParser.RevokeContext ctx);
	/**
	 * Visit a parse tree produced by {@link DrcqlParser#nonBooleanSelect}.
	 * @param ctx the parse tree
	 * @return the visitor result
	 */
	T visitNonBooleanSelect(@NotNull DrcqlParser.NonBooleanSelectContext ctx);
	/**
	 * Visit a parse tree produced by {@link DrcqlParser#equality}.
	 * @param ctx the parse tree
	 * @return the visitor result
	 */
	T visitEquality(@NotNull DrcqlParser.EqualityContext ctx);
	/**
	 * Visit a parse tree produced by {@link DrcqlParser#create_table}.
	 * @param ctx the parse tree
	 * @return the visitor result
	 */
	T visitCreate_table(@NotNull DrcqlParser.Create_tableContext ctx);
	/**
	 * Visit a parse tree produced by {@link DrcqlParser#privilegeMode}.
	 * @param ctx the parse tree
	 * @return the visitor result
	 */
	T visitPrivilegeMode(@NotNull DrcqlParser.PrivilegeModeContext ctx);
	/**
	 * Visit a parse tree produced by {@link DrcqlParser#event}.
	 * @param ctx the parse tree
	 * @return the visitor result
	 */
	T visitEvent(@NotNull DrcqlParser.EventContext ctx);
	/**
	 * Visit a parse tree produced by {@link DrcqlParser#delete}.
	 * @param ctx the parse tree
	 * @return the visitor result
	 */
	T visitDelete(@NotNull DrcqlParser.DeleteContext ctx);
	/**
	 * Visit a parse tree produced by {@link DrcqlParser#command}.
	 * @param ctx the parse tree
	 * @return the visitor result
	 */
	T visitCommand(@NotNull DrcqlParser.CommandContext ctx);
	/**
	 * Visit a parse tree produced by {@link DrcqlParser#grant_with_option}.
	 * @param ctx the parse tree
	 * @return the visitor result
	 */
	T visitGrant_with_option(@NotNull DrcqlParser.Grant_with_optionContext ctx);
	/**
	 * Visit a parse tree produced by {@link DrcqlParser#add_user}.
	 * @param ctx the parse tree
	 * @return the visitor result
	 */
	T visitAdd_user(@NotNull DrcqlParser.Add_userContext ctx);
	/**
	 * Visit a parse tree produced by {@link DrcqlParser#varList}.
	 * @param ctx the parse tree
	 * @return the visitor result
	 */
	T visitVarList(@NotNull DrcqlParser.VarListContext ctx);
	/**
	 * Visit a parse tree produced by {@link DrcqlParser#create_view}.
	 * @param ctx the parse tree
	 * @return the visitor result
	 */
	T visitCreate_view(@NotNull DrcqlParser.Create_viewContext ctx);
	/**
	 * Visit a parse tree produced by {@link DrcqlParser#polyadicAndExpression}.
	 * @param ctx the parse tree
	 * @return the visitor result
	 */
	T visitPolyadicAndExpression(@NotNull DrcqlParser.PolyadicAndExpressionContext ctx);
	/**
	 * Visit a parse tree produced by {@link DrcqlParser#statement}.
	 * @param ctx the parse tree
	 * @return the visitor result
	 */
	T visitStatement(@NotNull DrcqlParser.StatementContext ctx);
	/**
	 * Visit a parse tree produced by {@link DrcqlParser#create_trigger}.
	 * @param ctx the parse tree
	 * @return the visitor result
	 */
	T visitCreate_trigger(@NotNull DrcqlParser.Create_triggerContext ctx);
	/**
	 * Visit a parse tree produced by {@link DrcqlParser#polyadicOrExpression}.
	 * @param ctx the parse tree
	 * @return the visitor result
	 */
	T visitPolyadicOrExpression(@NotNull DrcqlParser.PolyadicOrExpressionContext ctx);
	/**
	 * Visit a parse tree produced by {@link DrcqlParser#quantifiedExpression}.
	 * @param ctx the parse tree
	 * @return the visitor result
	 */
	T visitQuantifiedExpression(@NotNull DrcqlParser.QuantifiedExpressionContext ctx);
	/**
	 * Visit a parse tree produced by {@link DrcqlParser#privilege}.
	 * @param ctx the parse tree
	 * @return the visitor result
	 */
	T visitPrivilege(@NotNull DrcqlParser.PrivilegeContext ctx);
	/**
	 * Visit a parse tree produced by {@link DrcqlParser#insert}.
	 * @param ctx the parse tree
	 * @return the visitor result
	 */
	T visitInsert(@NotNull DrcqlParser.InsertContext ctx);
}